/*
 * file: config.h
 */

/* endpoint */
constexpr static inline char const SERVER_URL[] = "status.kraut.space";
constexpr static inline uint16_t SERVER_PORT = 10001;

/* serial interface settings */
constexpr static inline unsigned long BAUD_RATE = 115200;
constexpr static inline bool DEBUG = true;

/* frequence to read the pin */
constexpr static inline unsigned long FREQUENCY = 5000;

/* time server settings */
constexpr static inline char const NTP_URL[] = "pool.ntp.org";
constexpr static inline char const TZ_STRING[] = "CET-1CEST,M3.5.0,M10.5.0/3";